AdvancedSearchPanelEnum (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.advancedsearch

## Enum AdvancedSearchPanelEnum

- java.lang.Object
- - java.lang.Enum<AdvancedSearchPanelEnum>
  - - org.gcube.portlets.user.speciesdiscovery.client.advancedsearch.AdvancedSearchPanelEnum

- All Implemented Interfaces:
    Serializable, Comparable<AdvancedSearchPanelEnum>

      public enum AdvancedSearchPanelEnum
      extends Enum<AdvancedSearchPanelEnum>

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOUNDS`
    `CLASSIFICATION`
    `DATASOURCE`
    `DATE`
    `REGION`
    `SYNONYMS`
    `TYPE`
    `UNFOLD`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel()`
    `static AdvancedSearchPanelEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AdvancedSearchPanelEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOUNDS

          public static final AdvancedSearchPanelEnum BOUNDS

    - #### DATE

          public static final AdvancedSearchPanelEnum DATE

    - #### TYPE

          public static final AdvancedSearchPanelEnum TYPE

    - #### REGION

          public static final AdvancedSearchPanelEnum REGION

    - #### SYNONYMS

          public static final AdvancedSearchPanelEnum SYNONYMS

    - #### UNFOLD

          public static final AdvancedSearchPanelEnum UNFOLD

    - #### DATASOURCE

          public static final AdvancedSearchPanelEnum DATASOURCE

    - #### CLASSIFICATION

          public static final AdvancedSearchPanelEnum CLASSIFICATION

  - ### Method Detail

    - #### values

          public static AdvancedSearchPanelEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AdvancedSearchPanelEnum c : AdvancedSearchPanelEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AdvancedSearchPanelEnum valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLabel

          public String getLabel()

Copyright © 2013. All Rights Reserved.